CONFIG += qt thread
TEMPLATE = app
INCLUDEPATH +=  .

HEADERS += gertbot_defines.h

HEADERS += gertbot.h
SOURCES += main.cpp
SOURCES += gertbot.cpp
SOURCES += gertbot_gui.cpp
SOURCES += gertbot_board.cpp
SOURCES += gertbot_motor.cpp
SOURCES += gertbot_serial.cpp
SOURCES += gertbot_dcc.cpp
FORMS   += gertbot.ui
FORMS   += board.ui
FORMS   += motor.ui

HEADERS += gertbot_log.h
SOURCES += gertbot_log.cpp
FORMS   += gertbot_log.ui

HEADERS += gertbot_dccsetup.h
SOURCES += gertbot_dccsetup.cpp
FORMS   += dccsetup.ui

RESOURCES += gertbot.qrc

win32 {
     HEADERS += gertbot_winserial.h
     SOURCES += gertbot_winserial.c
     # need this lib for the wprintf routine in gertbot_winserial.c     
     LIBS += User32.lib
 } else {
     HEADERS += gertbot_pi_uart.h
     SOURCES += gertbot_pi_uart.c
 }
 
